Wallet
How to use Wallet to submit a payin in Indonesia.
Last updated
{
"code": "10000",
"msg": "Success",
"trade_no": "2022010110293900083",
"out_trade_no": "202201010354006",
"web_url": "",
"trade_status": "PROCESSING",
"wallet_url":"https://m.dana.id/m/ac/init?ACCodeValue="
}{
"code":"10000",
"msg":"Success",
"prepay_id":"WGsrK1N********raz0=-46BeF891",
"trade_no":"2025*****26",
"out_trade_no":"out_trade_no_36*****00",
"web_url":"",
"pay_url":"https://checkout.pagsmile.com/checkout?prepay_id=WGs******F891",
"trade_status":"PROCESSING"
}{
"code": "10000",
"msg": "Success",
"trade_no": "2022010110293900083",
"out_trade_no": "202201010354006",
"web_url": "",
"trade_status": "PROCESSING",
"pay_url":"https://app.shopeepay.co.id/u/pay_checkout?type="
}{
"code": "40002",
"msg": "Business Failed",
"sub_code": "duplicate-out_trade_no",
"sub_msg": "out_trade_no is duplicate"
}curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
* "app_id": "162************38",
* "out_trade_no": "202201010354006",
* "method": "Wallet",
* "channel": "DANA", //DANA, OVO or ShopeePay
* "order_amount": "300",
* "order_currency": "IDR",
* "subject": "trade pay test",
"content": "trade pay test conent",
* "notify_url": "http://merchant/callback/success",
"return_url": "https://www.merchant.com",
* "buyer_id": "buyer_0101_0001",
* "timestamp": "2022-01-01 03:54:01",
"customer": {
"phone": "6289******45" //Required when channel=OVO
"
}'